Loading...
Searching...
No Matches
gridfire_context.h File Reference
`#include "gridfire/gridfire.h"`
`#include "fourdst/atomic/atomicSpecies.h"`
`#include <memory>`
`#include <vector>`
Include dependency graph for gridfire_context.h:
This graph shows which files directly or indirectly include this file:

## Classes

struct | GFContext
struct | GFPointContext
struct | GFGridContext

## Enumerations

enum class | GFContextType { POINT , GRID }

## Functions

std::unique_ptr< GFContext > | make_gf_context (const GFContextType &type)

## Enumeration Type Documentation

## GFContextType

enum class GFContextType

strong

Enumerator
POINT |
GRID |

## Function Documentation

## make_gf_context()

std::unique_ptr< GFContext > make_gf_context | ( | const GFContextType & | type | ) |